QGIS Application - Bug report #12611
Field calculator forcing creation of new virtual field on PostgreSQL/PostGIS table
2015-04-20 12:09 PM - mike t

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 20730
Description

When trying to use the field calculator in 2.6.1 on a PostgreSQL 9.3/PostGIS 2.0 table of points - attempt to calculate a field using the field
calculator creates an unnamed int2 virtual field. Unchecking the box for "Create a new field" leaves the "Create virtual field" box grayed
out but still checked. When using the field calculator bar at the top of the attribute table, this does not happen and column updates
correctly.

Image shows issue with "Create virtual field" checked and grayed out. Table behind show the virtual field created when trying to calculate
existing 'lat' field, note the virtual field is the integer version of the attempted latitude $y value.

Thank you,

Mike

History

#1 - 2015-04-21 12:48 AM - Giovanni Manghi
- Status changed from Open to Feedback

| cannot confirm here on qgis master: when switching to "update existing field", even if the "create virtual field" is checked/grayed this has no effect.

#2 - 2015-05-10 08:19 AM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.
